---
title: "Contributing"
output:
  html_document:
    keep_md: yes
    toc: yes
    toc_float: yes
---

When contributing to this repository, please first discuss the change you wish to make via issue,
email, or any other method with the owners of this repository before making a change. 

Please note we have a code of conduct, please follow it in all your interactions with the project.

# Issue Posting Process

1. Check the [Issues](https://github.com/remi-daigle/MarxanConnect/issues) before posting to avoid duplication.
2. Use the [Issue Template](https://github.com/remi-daigle/MarxanConnect/blob/master/ISSUE_TEMPLATE.md).

# Pull Request Process

1. Use the [Pull Request Template](https://github.com/remi-daigle/MarxanConnect/blob/master/PULL_REQUEST_TEMPLATE.md)
2. Update the [index.Rmd](https://github.com/remi-daigle/MarxanConnect/blob/master/index.Rmd), [glossary.Rmd](https://github.com/remi-daigle/MarxanConnect/blob/master/glossary.Rmd), or [tutorial.Rmd](https://github.com/remi-daigle/MarxanConnect/blob/master/tutorial.Rmd) with details of changes to the interface, this includes new environment variables, changes to workflow, useful file locations and container parameters.
3. Increase the version numbers in any [setup.py](https://github.com/remi-daigle/MarxanConnect/blob/master/setup.py) and [WindowsSetupBuilder.iss](https://github.com/remi-daigle/MarxanConnect/blob/master/WindowsSetupBuilder.iss) to the new version that this Pull Request would represent. The versioning scheme we use is [SemVer](http://semver.org/).
4. You may merge the Pull Request in once you have the sign-off of two other developers, or if you do not have permission to do that, you may request the second reviewer to merge it for you.
